.main-content-container {
    padding: 30px;
}

.gallery {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    justify-content: center;
    align-items: center;
    gap: 60px;

    background-color: var(--gallery-background-color);

    margin-top: 100px; 
    margin-bottom: 100px;
    padding: 30px;
}

.flip-box-container {
    perspective: 100%;
}

.flip-box-container.active {
    transform: rotateY(180deg);
}

.flip-box {
    position: relative;

    max-width: 500px;
    aspect-ratio: 1 / 1;

    transform-style: preserve-3d;
    transition: transform 0.6s;
}

.flip-box.active {
    transform: rotateY(180deg);
}

@media (hover: hover) {
    .flip-box-container:hover .flip-box {
        transform: rotateY(180deg);
    }
}

.offer-box, .offer-box-back {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: absolute;
    inset: 0;

    background-color: white;

    border-radius: 5px;

    color: white;
    text-align: center;

    overflow: hidden;
    backface-visibility: hidden;
    transform-style: preserve-3d;
}

.offer-box::after {
    content: "";

    background: rgba(0, 0, 0, 0.147);

    position: absolute;
    inset: 0;
    z-index: 1;
}

.offer-box-back {
    background-color: white;
    color: black;
    transform: rotateY(180deg);
}

.offer-box-header {
    font-size: 31px;
    justify-self: center;
    z-index: 2;
}

.offer-box-info {
    font-size: 20px;
    justify-self: center;

    margin-top: 30px;
    margin-bottom: 40px;
    margin-right: 15px;
    margin-left: 15px;
}

#stoma-zach {
    background-image: url("../images/stomazach2.png");
    background-size: cover;
}

#protetyka {
    background-image: url("../images/IMG_1540.jpg");
    background-size: cover;
}

#inne-zabiegi{
    background-image: url("../images/IMG_3162.jpg");
    background-size: cover;
}

.implant-info-container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    gap: 60px;

    margin-top: 50px;
}

.implant-info-text-area {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.implant-info-source {
    /*border: 2px var(--main-border-color) solid;
    border-radius: 5px;*/

    padding: 40px;
}

.implant-info-image {
    width: 300px;
    height: 300px;
}

@media (max-width: 713px) {
    .main-content-container {
        text-align: center;
    }

    .implant-info-container {
        justify-content: center;
    }

    .implant-info-text-area {
        align-items: center;
        justify-content: center;

        text-align: center;
    }
}